Get upcoming data expiry notifications
curl --request GET \
--url https://api.justanotheruptime.com/retention/notifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justanotheruptime.com/retention/notifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justanotheruptime.com/retention/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"dataType": "monitoring_data",
"expiryDate": "2025-02-01T00:00:00.000Z",
"notified": false,
"retryCount": 0,
"lastNotificationAttempt": "2025-01-01T00:00:00.000Z",
"metadata": {
"size": 1024,
"count": 5000
},
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z"
}
]Data Retention
Get upcoming data expiry notifications
GET
/
retention
/
notifications
Get upcoming data expiry notifications
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Returns upcoming data expiry notifications
Example:
"123e4567-e89b-12d3-a456-426614174000"
Example:
"123e4567-e89b-12d3-a456-426614174000"
Available options:
monitoring_data, incident_data, alert_history, check_results Example:
"2025-02-01T00:00:00.000Z"
Example:
false
Example:
0
Example:
"2025-01-01T00:00:00.000Z"
Example:
{ "size": 1024, "count": 5000 }
Example:
"2025-01-01T00:00:00.000Z"
Example:
"2025-01-01T00:00:00.000Z"